SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetHistoricAgents] 
(
	@VCC					VARCHAR(50) = NULL
) 
AS
BEGIN
	WITH ResultAgent AS (
		SELECT 
			[AU].[Agent] AS 'id',
			[AU].[Agent] AS 'description'
		FROM [dbo].[Audio] AU (NOLOCK)
		WHERE [AU].[VCC] = @VCC
		UNION 
		SELECT 
			[IEP].[IdAgent] AS 'id',
			[IEP].[IdAgent] AS 'description'
		FROM [dbo].[InteractionEvaluationPlan] IEP (NOLOCK)
		WHERE [IEP].[Instance] = @VCC
	)

	SELECT 
		R.id AS 'id', 
		R.description AS 'description' ,
		(
			SELECT STUFF((
				SELECT ',' + [idcampaign] + ''
				FROM (
					SELECT DISTINCT [AU2].[Campaign] AS 'idcampaign'
					FROM [dbo].[Audio] AU2 (NOLOCK)
					WHERE [AU2].[VCC] = @VCC AND [AU2].[Agent] = R.id

					UNION

					SELECT DISTINCT [IE2].[IdCampaign] AS 'idcampaign'
					FROM [dbo].[InteractionEvaluationPlan] IE2 (NOLOCK)
					WHERE [IE2].[Instance] = @VCC AND [IE2].[IdAgent] = R.id
				) campaigns
				FOR XML PATH(''), TYPE
			).value('.', 'NVARCHAR(MAX)'), 1, 1, '') 
		) AS 'campaigns'
	FROM ResultAgent R

	
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
