SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetWorkGroupsSupervisor] (
	@VCC Varchar(50) = NULL, 
	@SearchCriteria Varchar(50) = NULL, 
	@SearchExpression Varchar(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT DISTINCT
		[Description]					'description',
		[SupervisorId]                  'supervisorId'
	FROM [WorkGroupSupervisor] (NOLOCK)
	WHERE [VCC] = @VCC
		AND ISNULL([Description], '') LIKE CASE WHEN @SearchCriteria = 'description' THEN '%' + @SearchExpression + '%' ELSE '%' END
		AND ISNULL([SupervisorId], '') LIKE CASE WHEN @SearchCriteria = 'supervisor' THEN '%' + @SearchExpression + '%' ELSE '%' END
		
		
	SET NOCOUNT OFF
END

PRINT N'Update complete.';


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
